---
title: CSSPseudoElement.type
slug: Web/API/CSSPseudoElement/type
tags:
  - API
  - CSSPseudoElement
  - Experimental
  - Property
  - Reference
  - Type
---
<p>{{APIRef}}{{SeeCompatTable}}</p>

<p class="summary">The <strong><code>type</code></strong> read-only property of the {{DOMxRef('CSSPseudoElement')}} interface returns the type of the pseudo-element as a string, represented in the form of a <a href="/en-US/docs/Web/CSS/CSS_Selectors#Pseudo-elements">CSS selector</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>typeOfPseudoElement</em> = <em>cssPseudoElement</em>.type;
</pre>

<h3 id="Value">Value</h3>

<p>A {{DOMxRef('CSSOMString')}} containing one of the following values:</p>

<ul>
 <li>{{CSSxRef('::before', '"::before"')}}</li>
 <li>{{CSSxRef('::after', '"::after"')}}</li>
 <li>{{CSSxRef('::marker', '"::marker"')}}</li>
</ul>

<h2 id="Examples">Examples</h2>

<p>The example below demonstrates the relationship between <code>CSSPseudoElement.type</code> and {{DOMxRef('Element.pseudo()')}}:</p>

<pre class="brush: js">const myElement = document.querySelector('q');
const mySelector = '::after';
const cssPseudoElement = myElement.pseudo(mySelector);
const typeOfPseudoElement = cssPseudoElement.type;

console.log(mySelector === typeOfPseudoElement); // Outputs true
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS4 Pseudo-Elements', '#dom-csspseudoelement-type', 'type')}}</td>
   <td>{{Spec2('CSS4 Pseudo-Elements')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat('api.CSSPseudoElement.type')}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef('Element.pseudo()')}}</li>
 <li><a href="/en-US/docs/Web/CSS/Pseudo-elements#Index_of_standard_pseudo-elements">Index of standard pseudo-elements</a></li>
</ul>
